scsi_req_abort_cmd
Prev | drivers/scsi/scsi.c | Next

## Name

scsi_req_abort_cmd — - Request command recovery for the specified command

## Synopsis

`void scsi_req_abort_cmd (` | struct scsi_cmnd * | cmd`)`;

## Arguments

`cmd`

  pointer to the SCSI command of interest

## Description

This function requests that SCSI Core start recovery for the command by deleting the timer and adding the command to the eh queue. It can be called by either LLDDs or SCSI Core. LLDDs who implement their own error recovery MAY ignore the timeout event if they generated scsi_req_abort_cmd.

Prev | Up | Next
scsi_put_command | Home | scsi_finish_command